 :root{
	--oft-box-shadow: 0 0 5px #e4eded;
	--oft-black-bg: #1f2223;
}
.ar-login-menu .sek-nav-collapse {
    display: flex!important;
}
#menu-login-register{
    -ms-flex-direction: row !important;
    flex-direction: row !important;
}
.ar-login-menu button.sek-nav-toggler {
    display: none!important;
}
.ar-category-menu button.sek-nav-toggler {
    color: #ffffff!important;
}
.grecaptcha-badge{
    display: none !important;
}
@media (max-width: 767px) {
    .ar-category-menu .sek-nav-collapse .sek-nav__title{
        color: #000000!important;
    }
    .ar-middle-header .sek-mobile-menu-expanded-below {
        display: none!important;
    }
}
.order_form_wrapper {
    background-color: #f5f5f7;
    padding: 20px!important;
    border-radius: 20px;
}
.client_order_related_info {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
    margin: auto;
}
.all_b_s_fields {
    margin-top: 25px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.address_field {
    padding: 5px 8px!important;
    width: 100%;
    border-radius: 5px;
}
.address_field::placeholder{
	font-weight:300;
	font-style:italic;
	font-size:.9em;
}
.warning_msg {
    line-height: 1;
    display: none;
}
.table_warning {
    text-align: center;
    margin-bottom: 10px;
}
.warning_msg em {
    font-size: .75em;
    line-height: 1;
    color: #ea0e0e;
}
.table_warning em {
    font-size: .9em;
}

.common_info_box {
    padding: 15px;
    background-color: #fff;
    border-radius: 5px;
    display: flex;
    gap: 5px;
    flex-direction: column;
    font-size: .85em;
    min-height: 77px;
    width: calc((100% / 5) - 4px);
    box-shadow: var(--oft-box-shadow);
}
#customer_special-instruction {
    width: calc((100% - ((100% / 5)) * 2) - 4px);
}
#sp_c_dropdown {
    width: calc((100% - ((100% / 5)) * 3) - 4px);
}
.common_info_box>p {
    margin: 0;
    font-weight: 300;
}
.u_input_field {
    width: 100%;
    height: 40px;
    font-size: 1em;
}
.cof_cib_data {
    font-weight: 500!important;
}
.cof_cib_title {
    border-bottom: 1px solid #aedeae;
}
.product_filter_option_sect {
    padding-top: 25px;
    display: flex;
    gap: 20px;
    align-items: center;
}
#category_filter {
    padding: 5px 10px;
    border-color: transparent;
    border-radius: 5px;
    box-shadow: var(--oft-box-shadow);
    font-size: .85em;
	cursor:pointer;
	transition: border 0.3s ease;
}
#category_filter:hover{
	border-color: #a9a9a9;
}
#category_filter:focus{
	border:none;
	outline:none;
}

#products_info_table_sect {
    padding: 25px 0;
}

.all_product_table, .selected_product_table {
    overflow: auto;
    max-height: 70vh;
    border: none!important;
    width: auto!important;
    max-width: 100%;
}
.selected_product_table {
    max-height: 35vh;
}   

.all_product_table thead{
	position:sticky;
	top:0;
	z-index:1;
	width:100%;
}
.table_data_row{
	outline:1px solid transparent;
	transition: 0.3s ease;
}
.table_data_row:nth-child(2n) {
    background-color: #e6e5ec;
}
.table_data_row:hover {
    outline-color:#006799;
}

.table_data_row.cof_active {
    background-color: #006799;
}
.table_data_row.cof_active *:not(input) {
    color: white!important;
    font-weight: 200;
}
.table_data_row.cof_active input{
	font-weight:400;
}
.selection_status {
    height: 15px;
    width: 15px;
    background-color: #fff3;
    border: 1px solid #3d33;
    border-radius: 3px;
	position: relative;
}
.cof_product_name_container {
    display: flex;
    align-items: center;
	justify-content:space-between;
	gap: 10px;
	line-height: 2;
}
.pieces {
    padding: 2px 6px !important;
    background-color: #ffffff57;
    border-radius: 5px;
    color: #000;
    font-size: .8em !important;
    font-weight: 300;
    border: 1px solid #00000040 !important;
    white-space: nowrap;
}
.cof_active [data-column="selection"] {
    cursor: pointer;
}
.cof_active .selection_status {
    border-color: transparent;
    background-color: #fff;
    letter-spacing: 0;
}
.cof_active .selection_status:before {
    /* content: '✔'; */
    content: '\2713';
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    color: #3F51B5;
}
.all_product_table th, .all_product_table td {
    font-size: .7em!important;
    white-space: nowrap;
    padding: .65em!important;
    line-height: 1;
    text-align: left;
    font-weight: 400;
	position:relative
}
.all_product_table td{
	color: #212427 !important;
}
.all_product_table .table_header_box, .preview_header_box, .preview_total_box {
    background-color: var(--oft-black-bg);
    border: 1px solid #a29ca27d !important;
    color: #ededed!important;
    padding: 3px 5px!important;
    font-size: .7em!important;
    white-space: nowrap;
    text-align: center;
}
.selected_product_table tr{
	border:none;
}
.table_data_box[data-column="description"], .table_data_box[data-column="category"] {
    white-space: break-spaces;
}
.qty_input {
    height: 25px;
    width: 70px;
    box-shadow: inset 0 0 8px #dadaad;
    border-radius: 2px;
    padding-right: 5px!important;
    font-size: 1.2em;
}
.bill_shipping_address_related_info {
    display: flex;
    padding-top: 25px;
    gap: 20px;
}
.common_bs_address_box {
    width: calc((100% / 3) - 10px);
    background: white;
    padding: 20px;
    font-size: .85em;
    box-shadow: var(--oft-box-shadow);
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.oft_billing_shipping_instruction_common {
    background-color: #006799;
    padding: 5px 10px;
    text-align: center;
    color: white;
    border-radius: 5px;
    text-transform: uppercase;
    letter-spacing: 2px;
}
.oft_instructions {
    margin-left: 10px!important;
    margin-top: 10px!important;
    font-size: .8em;
}
.cof_order_preview_btn {
    width: 100%;
}
.cof_common_btn {
    padding: 10px 30px;
    font-size: .75rem;
    text-transform: uppercase;
    letter-spacing: 1px;
    border-radius: 8px;
    outline: 0;
    border: none;
    transition: 0.4s ease;
    box-shadow: 7px 7px 8px #8e09194a;
    text-align: center;
    line-height: 1.3;
}       
.cof_common_btn:hover {
    box-shadow: none;
}
.common_bs_address_box textarea {
    height: calc(100% - 43px);
    margin: 10px 0;
    border-radius: 10px;
    resize: none;
    background-color: #f2f2fa;
}
.order_info_display_sect {
    display: flex;
    justify-content: space-between;
    gap: 20px;
}
.order_details_info {
    display: flex;
    gap: 20px;
    padding-top: 25px;
    font-size: .9em;
    text-transform: uppercase;
}
.odi_common_wrap {
    display: flex;
    gap: 10px;
    background: #fff;
    border-radius: 5px;
    align-items: center;
    overflow: hidden;
	box-shadow:var(--oft-box-shadow)
}
.oft_title {
    background-color: var(--oft-black-bg);
    color: #fff;
    padding: 5px 10px;
    height: 100%;
}
.oft_info_box {
    padding-right: 10px;
    font-weight: 700;
    font-size: 1.2em;
}
/* POPUP CSS */
.cof_popup_container {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    height: 100%;
    width: 100%;
    align-content: center;
    background-color: #1d1c26d4;
	z-index:99999; 
}
.cof_popup_content_wrapper {
    position: relative;
    background-color: white;
    padding: 35px;
    max-width: 95vw;
    margin: auto;
    border-radius: 15px;
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 20px;
}
.cof_popup_close {
    position: absolute;
    right: 12px;
    top: 10px;
    display: flex;
    height: 30px;
    width: 30px;
    /* background-color: var(--oft-black-bg); */
    align-items: center;
    justify-content: center;
    color: #fff;
    border-radius: 50px;
    font-size: 1.3rem;
    cursor: pointer;
	transition: 0.3s ease;
    padding: 0
}
.popup_conetents {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px
}
.previewed_header{
	position:sticky;
	top:0;
}
.previewed_footer{
	position:sticky;
	bottom:0;
}
.table_data_box a {
    color: #212427;
    text-underline-offset: 2px;
}
.table_data_box a:hover{
    color:#000
}
.selected_product_table td {
    border-bottom: 1px solid #a29ca27d!important;
    font-size: 0.7em!important;
    font-weight: 300;
    padding: 5px 8px!important;
    color: #1c1c1e !important;
    white-space: nowrap;
}
td.empty_cell:empty {
    visibility: hidden;
    border: none!important;
}
td.preview_footer_box {
    background-color: white;
}
span.t_amount {
    letter-spacing: 2px;
}
.selected_product_table .preview_total_box {
    background-color: var(--oft-black-bg);
    border: 1px solid #a29ca27d !important;
    color: #ededed!important;
    padding: 5px 8px!important;
    font-size: .8em!important;
    white-space: nowrap;
}
.popup_header h4 {
    text-align: center;
    font-weight: 600;
    line-height: 1;
    margin: 0;
}
#three-buttons {
    display: flex;
    gap: 20px;
}

#three-buttons > button {
    min-width: 200px
}

/* .cof_data_sending_btn {
    background-color: var(--oft-black-bg);
    border: none;
    text-transform: uppercase;
    letter-spacing: 1px;
	transition: 0.3s ease;
}
.cof_data_sending_btn:hover,.cof_popup_close:hover{
	background-color: #dd1c1f;
}

.cof_data_edit_btn {
    background-color: var(--oft-black-bg);
    border: none;
    text-transform: uppercase;
    letter-spacing: 1px;
	transition: 0.3s ease;
}
button.cof_data_edit_btn:hover,.cof_popup_close:hover{
	background-color: #dd1c1f;
}


button.cof_data_sending_btn:hover{
	letter-spacing:3px;
}*/
.popup_order_info {
    display: grid;
    justify-content: space-between;
    grid-template-columns: 1fr 1fr 1fr;
    width: 100%;
    gap: 20px;
    /* margin-bottom: 20px; */
}
.popup_info_common {
    border: 1px solid #aeaeae;
    border-radius: 10px;
    padding: 15px;
    font-size: .75em;
}
.popup_info_title {
    text-align: center;
    font-weight: 500;
    font-size: 1.5em;
    color: #3F51B5;
    border-bottom: 1px solid #aeaeae;
    padding-bottom: 10px;
    margin-bottom: 10px;
}
.popup_info_common strong {
    font-weight: 400;
    color: #7d7d83;
}  

#cof_email_form {
    position: fixed;
    z-index: -99999;
    visibility: hidden;
    opacity: 0;
}
.cof_email_processing {
    display: flex;  
    justify-content: center;
    align-items: center;
    gap: 20px;
}
.cof_spinning_icon{
    transform: rotate(0deg);
    animation: email_processing 2s linear infinite;
}

@keyframes email_processing {
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg); 
    }
}

.archive_popup_contents, .archive_orders_container {
    width: 100%;
}
.archive_orders_container {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    overflow-y: auto;
    max-height: calc(100vh - 200px);
}
.archive_single_order_container {
    border: 1px solid #006799;
    border-radius: 10px;
    padding: 20px;
    width: calc((100% - 20px) / 2);
    position: relative;
    color: #434141;
}
.archive_order_status {
    position: absolute;
    padding: 8px 20px;
    background-color: #ffd800;
    top: 160px;
    transform: translate(0, -50%);
    left: 0;
    border-radius: 0px 10px 10px 0px;
}
.order_date_and_id {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    margin-bottom: 15px;
}
.archive_date_id {
    background: #efe8e9;
    padding: 8px 20px;
    border-radius: 6px;
}
.archive_order_info {
    display: flex;
    gap: 20px;
    font-size: .8em;
    justify-content: space-between;
    margin-bottom: 15px;
}
.list_header {
    position: sticky;
    top: 0;
}
.archive_order_row {
    display: grid;
    grid-template-columns: auto 1fr auto;
    width: 100%;
    text-align: center;
    gap: 20px;
}
.header_row.archive_order_row {
    color: white;
    background-color: black;
}
.body_row:nth-child(2n) {
    background-color: #eaeaea;
}
.archive_order_product_list {
    font-size: .85em;
    overflow-y: auto;
    max-height: 150px;
}
.product_id_column {
    width: 90px;
}
.body_column.product_id_column{
    text-align: left;
}
.header_column:not(:last-child), .body_column:not(:last-child) {
    border-right: 1px solid #aeaeae;
}
.header_column, .body_column {
    padding: 3px 8px;
}
.product_quantity {
    width: 80px;
}
.select2-container--default .select2-selection--single .select2-selection__clear {
    font-weight: 300!important;
    color: black;
    background: #989898!important;
    height: 20px!important;
    width: 20px!important;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0!important;
    top: 3px;
    border-radius: 2px;
}

#item_search {
    max-width: 320px;
}

.shipping_info_msg{
    color: #006799;
    line-height: 1.5;
}
.shipping_info_msg small{
    font-size: .75em;
    display: block;
    text-align: center;
}